
package de.ivu.elect.presentation.gebietsbaum.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(GebietActionMenu.COMPONENT_NAME)
public class GebietActionMenu extends AbstractActionMenuModelBuilder<Gebiet> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "gebietActionMenu";

  @Inject
  protected transient GebietEditAction gebietEditAction;

  @Inject
  protected transient GebietDeleteAction gebietDeleteAction;

  public GebietActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<Gebiet>> getActionEntriesSorted() {
    List<ActionEntry<Gebiet>> result = new ArrayList<>();

    result.add(gebietEditAction);
    result.add(gebietDeleteAction);

    return result;
  }

}
